gsm48_hdr Struct Reference

`#include <gsm_04_08.h>`

## Data Fields

uint8_t | proto_discr
uint8_t | msg_type
uint8_t | data [0]

## Field Documentation

## data

uint8_t gsm48_hdr::data[0]

Referenced by gsm0480_extract_ie_by_tag(), gsm411_mnsms_data_ind_tx(), gsm411_mnsms_est_ind(), osmo_mobile_identity_decode_from_l3(), and parse_ss().

## msg_type

uint8_t gsm48_hdr::msg_type

Referenced by gsm48_hdr_gmm_cipherable(), gsm48_hdr_msg_type_r98(), gsm48_hdr_msg_type_r99(), gsm48_push_l3hdr(), and parse_ss().

## proto_discr

uint8_t gsm48_hdr::proto_discr

Referenced by gsm0480_decode_ss_request(), gsm0480_decode_ussd_request(), gsm48_hdr_pdisc(), gsm48_hdr_trans_id(), and gsm48_push_l3hdr().

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/protocol/gsm_04_08.h